<div>
    <h2 id="page-heading">
        <span jhiTranslate="bikeBackendApp.bike.home.title">Bikes</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-bike" [routerLink]="['/bike/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="bikeBackendApp.bike.home.createLabel">
            Create a new Bike
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="bikes?.length === 0">
        <span jhiTranslate="bikeBackendApp.bike.home.notFound">No bikes found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="bikes && bikes.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="model"><span jhiTranslate="bikeBackendApp.bike.model">Model</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="price"><span jhiTranslate="bikeBackendApp.bike.price">Price</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="serial"><span jhiTranslate="bikeBackendApp.bike.serial">Serial</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="status"><span jhiTranslate="bikeBackendApp.bike.status">Status</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="typeShockAbsorber"><span jhiTranslate="bikeBackendApp.bike.typeShockAbsorber">Type Shock Absorber</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let bike of bikes ;trackBy: trackId">
                    <td><a [routerLink]="['/bike', bike.id, 'view']">{{ bike.id }}</a></td>
                    <td>{{ bike.model }}</td>
                    <td>{{ bike.price }}</td>
                    <td>{{ bike.serial }}</td>
                    <td>{{ bike.status }}</td>
                    <td jhiTranslate="{{ 'bikeBackendApp.TypeShockAbsorber.' + bike.typeShockAbsorber }}">{{ bike.typeShockAbsorber }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/bike', bike.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/bike', bike.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(bike)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="bikes && bikes.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
